Bug 863629 - set environment variables through command line
set environment variables through command line
Status: CLOSED UPSTREAM
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
All Unspecified
high Severity low
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-06 01:48 EDT by markus
Modified: 2014-06-18 03:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 21:32:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markus 2012-10-06 01:48:59 EDT
Description of problem:
Right now the only possible way to set an environment variable is through a pre-hook, which requires the variables to be in git. If I can put them into git, I can put them into my code directly. The beauty of ENV variables is
a) I don't need a new commit just to change a variable
b) They are protected. I might have 20 developers of which NONE are allowed to know our database passwords and Facebook secret ids. git is NOT a solution to this kind of data.
Overall, git is not built to protect sensible information. 

Version-Release number of selected component (if applicable):
latest as of today

How reproducible:
See
https://openshift.redhat.com/community/blogs/new-openshift-release-may-15-2012-community-code-custom-environment-variables#comment-24214
for current recommendation and comments for flaws.
 
https://openshift.redhat.com/community/content/custom-environment-variables#comment-24215

Idea / request

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clayton Coleman 2012-10-08 14:14:29 EDT
We've got a story to cover this, and it's being tracked internally.  We're working on getting the roadmap elements laid out online.  Transferring to Krishna to organize and get slotted into the roadmap.
Comment 2 Dan McPherson 2013-01-28 21:32:46 EST
Tracking in US1821

Note You need to log in before you can comment on or make changes to this bug.